<?php defined('BASEPATH') OR exit('No direct script access allowed'); 
tpl_assign("title_for_layout", ($estimate->isNew() ? lang('c_133') : lang('c_134').' # '.$estimate->getEstimateNo())); ?>

<form method="post" action="<?php echo get_page_base_url($estimate->isNew() ? 'estimates/create' : $estimate->getEditURL()); ?>" id="i_estimate_form" class="form-horizontal">

<div class="form-group">
	<input type="text" name="subject" value="<?php echo clean_field($subject); ?>" class="form-control" placeholder="<?php echo lang('c_126'); ?>" />
</div>

<div class="form-group">
<?php $clients_options = array(lang('c_132'));

if(isset($client_users) && is_array($client_users) && count($client_users)) :
	foreach($client_users as $client_user) :
		$clients_options[$client_user->getId()] = $client_user->getName();
	endforeach;
endif;

echo select_box("client_id", $clients_options, $client_id, ' class="form-control"');

?>	
</div>

<div class="form-group">
<?php $projects_options = array(lang('c_135'));

if(isset($projects) && is_array($projects) && count($projects)) :
	foreach($projects as $project) :
		$projects_options[$project->getId()] = $project->getName();
	endforeach;
endif;

echo select_box("project_id", $projects_options, $project_id, ' class="form-control"');

?>	
</div>

<div class="form-group">
	<select name="status" class="form-control">
	<option value="1"<?php echo $status == 1 ? ' selected="selected"' : ''; ?>><?php echo lang('c_136'); ?></option>
	<option value="0"<?php echo $status == 0 ? ' selected="selected"' : ''; ?>><?php echo lang('c_137'); ?></option>
	</select>
</div>

<div class="form-group">
	<input type="text" name="due_date" class="form-control datepicker" value="<?php echo clean_field($due_date); ?>" placeholder="<?php echo lang('c_138'); ?>" />
</div>

<div class="form-group">
	<label><input name="email_to_client" value="1" type="checkbox" /> <?php echo lang('c_139'); ?></label>
</div>

<div class="form-group">
	<label class="label-heading"><h4><?php echo lang('c_140'); ?></h4></label>
</div>

<div class="form-group">
	<div class="table-responsive">

	<table class="table table-bordered" id="item-table">
		<tr><td><b><?php echo lang('c_50'); ?></b></td><td class="col-md-4"><b><?php echo lang('c_141'); ?></b></td><td><b><?php echo lang('c_142'); ?></b></td><td><b><?php echo lang('c_143'); ?></b></td><td><b><?php echo lang('c_144'); ?></b></td></tr>
		<?php if ($estimate->isNew()) : 
			$items_count=1; ?>
			<tr><td><input name="delete_1" value="1" id="delete_1" type="checkbox"></td><td><input type="text" name="name_1" class="form-control" /></td><td><input type="text" name="quantity_1" id="quantity_1" class="form-control item_quantity" value="0"></td><td><input type="text" name="amount_1" id="amount_1" class="form-control item_amount" value="0.00"></td><td><div id="total_1">0.00</div></td></tr>
		<?php else : ?>
				<?php 
				$items_count=0;
				$inv_items = $estimate->getItems(); 
				if(isset($inv_items) && is_array($inv_items) && count($inv_items)) :
					foreach($inv_items as $inv_item) :
						$items_count++; ?>
						<tr><td><input name="delete_<?php echo $items_count; ?>" value="1" id="delete_<?php echo $items_count; ?>" type="checkbox"></td><td><input type="text" name="name_<?php echo $items_count; ?>" value="<?php echo $inv_item->getDescription(); ?>" class="form-control" /></td><td><input type="text" name="quantity_<?php echo $items_count; ?>" id="quantity_<?php echo $items_count; ?>" class="form-control item_quantity" value="<?php echo number_format($inv_item->getQuantity(), 2); ?>" ></td><td><input type="text" name="amount_<?php echo $items_count; ?>" id="amount_<?php echo $items_count; ?>" class="form-control item_amount" value="<?php echo number_format($inv_item->getAmount(), 2); ?>"></td><td><div id="total_<?php echo $items_count; ?>"><?php echo number_format($inv_item->getAmount()*$inv_item->getQuantity(), 2); ?></div></td></tr>
					<?php
					endforeach;
				else : $items_count=1; ?>
				<tr><td><input name="delete_1" value="1" id="delete_1" type="checkbox"></td><td><input type="text" name="name_1" class="form-control" /></td><td><input type="text" name="quantity_1" id="quantity_1" class="form-control item_quantity" value="0"></td><td><input type="text" name="amount_1" id="amount_1" class="form-control item_amount" value="0.00"></td><td><div id="total_1">0.00</div></td></tr>
			<?php endif; ?>				
		<?php endif; ?>
	</table></div>
	<input type="hidden" name="items" id="items" value="<?php echo $items_count; ?>" />
   <input type="button" class="btn btn-info" value="<?php echo lang('c_145'); ?>" onclick='add_new_item()' /> 
</div>

<div class="form-group">
	<label class="col-md-4 label-heading"><?php echo lang('c_146'); ?></label>
	<div class="col-md-8">
		<input type="text" name="tax" class="form-control" id="tax" value="<?php echo clean_field($tax); ?>" />
	</div>
</div>


<div class="form-group">
	<label class="col-md-4 label-heading"><?php echo lang('c_147'); ?> %</label>
	<div class="col-md-8">
	<input type="text" name="tax_rate" class="form-control" id="tax_rate" value="<?php echo clean_field($tax_rate); ?>" />
	</div>
</div>

<div class="form-group">
	<label class="col-md-4 label-heading"><?php echo lang('c_148'); ?></label>
	<div class="col-md-8">
		<div class="table-responsive">
		<table class="table table-bordered">
		<tr><td><?php echo lang('c_149'); ?></td><td><div id="sub_total">0.00</div></td></tr>
		<tr><td><?php echo lang('c_146'); ?> <div id="tax_name"></div></td><td><div id="tax_amount">0%</div><div id="tax_total_amount">0.00</div></td></tr>
		<tr><td><?php echo lang('c_144'); ?></td><td><div id="total_payment"></div></td></tr>
		</table></div>
	</div>
</div>
<input type="hidden" name="submited" value="submited" />

<div class="form-group text-right">
	<button type="submit" class="btn btn-success" data-loading-text="<?php echo lang('c_276'); ?>" id="i_estimate_submit"><?php echo ($estimate->isNew() ? lang('c_52') : lang('c_53')); ?></button>
	<a class="btn btn-default" data-dismiss="modal"><?php echo lang('c_37'); ?></a>
</div>

</form>

<script type="text/javascript"> $(document).ready(function() {  
sum_sub_total(); $('.datepicker').datepicker(); }); </script>