<?php defined('BASEPATH') OR exit('No direct script access allowed'); 
tpl_assign("title_for_layout", lang('c_172')); 

tpl_assign("header_for_layout", '
<link href="'.get_page_base_url("public/assets/vendor/datatables-plugins/dataTables.bootstrap.css").'" rel="stylesheet">
');	

tpl_assign("footer_for_layout", '
<script src="'.get_page_base_url("public/assets/vendor/datatables/js/jquery.dataTables.min.js").'"></script>
<script src="'.get_page_base_url("public/assets/vendor/datatables-plugins/dataTables.bootstrap.min.js").'"></script>
<script>
$(document).ready(function() {
$(".invoices").DataTable({
 "iDisplayLength": 15,
  "bLengthChange": false,
  "bFilter": false,
  "bInfo": false,
  language: {
        search: "_INPUT_",
        searchPlaceholder: "'.lang('c_25').'",
		"url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/'.get_site_language(true).'.json"

  }  
});
});
</script>
');	

$default_currency = config_option('default_currency', "$");

?>

<p><div class="row">
	<div class="col-md-12 col-sm-12">
		<?php if(logged_user()->isOwner() || logged_user()->isAdmin()) : ?>
		<a href="javascript:void();" data-url="<?php echo get_page_base_url('invoices/create'.(isset($project) ? '/'.$project->getId() : '')); ?>" class="btn btn-success" data-toggle="commonmodal" style="margin:3px;">+ <?php echo lang('c_174'); ?></a>
		<?php endif; ?>
	</div>
</div></p>		

<div class="box box-solid">

	<?php if(!isset($is_project_panel)) : ?>

	<div class="box-header with-border">
	  <i class="fa fa-file-text"></i>
	  <h3 class="box-title"><?php echo lang('c_172'); ?></h3>
	</div>
	
	<?php endif; ?>	

	<div class="box-body <?php echo (isset($is_project_panel) ? ' no-padding' : ''); ?>">

	
<?php if(isset($invoices) && is_array($invoices) && count($invoices)) : ?>

	<div class="table-responsive">
	<table class="table table-striped table-bordered invoices">
	
	<thead>
		<th><?php echo lang('c_151'); ?></th>
		<th><?php echo lang('c_29'); ?></th>
		<th><?php echo lang('c_23'); ?></th>
		<th><?php echo lang('c_152'); ?></th>
		<th><?php echo lang('c_114'); ?></th>
		<th><?php echo lang('c_138'); ?></th>
		<th></th>
	</thead><tbody>

	<?php foreach($invoices as $invoice) : ?>			

	<tr>

		<td><b><?php echo $invoice->getInvoiceNo(); ?></b></td>
		<td><?php echo ($invoice->getClient() ? $invoice->getClient()->getName().($invoice->getClient()->getCompany() ? ' <em>('.$invoice->getClient()->getCompany()->getName().')</em>' : '') : lang('c_153')); ?></td>
		<td><?php echo ($invoice->getProject() ? $invoice->getProject()->getName() : lang('c_153')); ?></td>
		<td><?php echo $default_currency; ?><?php echo number_format($invoice->getTotalAmount(), 2); ?></td>
		<td class="text-center"><?php 
			if($invoice->getStatus()) {
				if($invoice->getPaidAmount() > 0) {
					if($invoice->getPaidAmount() < $invoice->getTotalAmount()) {
					  $status = "<span class='label label-success'>".lang('c_177')."</span>";
					} else {
					  $status = "<span class='label label-success'>".lang('c_178')."</span>";
					}
					
					$status .= '<p style="font-weight:bold;padding:5px;color:green;"><small>'.$default_currency.number_format($invoice->getPaidAmount(), 2).'</small></p>';
					
				} else {
				  $status = "<span class='label label-warning'>".lang('c_179')."</span>";
				}
		  } else {
			  $status = "<span class='label label-danger'>".lang('c_137')."</span>";
		  }
		  echo $status;
		?></td>
		<td><?php if($invoice->getDueDate()) { 
			echo format_date($invoice->getDueDate(), "m-d-Y");
			if($invoice->getDueDate() < time() && $invoice->getPaidAmount() < $invoice->getTotalAmount()) echo '&nbsp; <b style="color:red">'.lang('c_154').'</b>';
			} else { echo lang('c_153');  }
			?>	
		</td>
		<td width="10%">

		<div class="pull-right">
			<div class="btn-group">
				<?php if(logged_user()->isOwner()) : ?>
				<button type="button" class="btn btn-default btn-xs dropdown-toggle" data-toggle="dropdown"><i class="fa fa-chevron-down"></i></button>
				<ul class="dropdown-menu pull-right" role="menu">
					<li><a href="javascript:void();" data-url="<?php echo get_page_base_url($invoice->getEditURL()); ?>" data-toggle="commonmodal"><?php echo lang('c_175'); ?></a></li>
					<li><a href="<?php echo get_page_base_url($invoice->getObjectURL()); ?>" target="_blank"><?php echo lang('c_181'); ?></a></li>
					<li><a href="javascript:void();" data-url="<?php echo get_page_base_url($invoice->getCreatePaymentURL()); ?>" data-toggle="commonmodal"><?php echo lang('c_180'); ?></a></li>
					<li class="divider"></li>
					<li><a href="javascript:void();" data-url="<?php echo get_trash_action_url($invoice, 'move'); ?>" data-toggle="commonmodal"><?php echo lang('c_31'); ?></a></li>
				</ul>
				<?php else : ?>
				<a href="<?php echo get_page_base_url($invoice->getObjectURL()); ?>" class="btn btn-xs btn-default" target="_blank"><?php echo lang('c_181'); ?></a>
				<?php endif; ?>
				
			</div>
		</div>

		</td>
		
	</tr>

	<?php endforeach; ?>
	
	</tbody></table>
</div>

<?php else : ?>
<?php echo lang('e_2'); ?>
<?php endif; ?>

</div></div>
