<?php defined('BASEPATH') OR exit('No direct script access allowed'); 
tpl_assign("title_for_layout", $project->getName().' : '.lang('c_263')); 

tpl_assign("header_for_layout", '
');	

if(isset($object_id) && $object_id > 0) : 

$discussion_object = $this->ProjectDiscussions->findById($object_id);
if(is_null($discussion_object) || $discussion_object->getProjectId() != $project->getId()
|| $discussion_object->getIsTrashed() || ($discussion_object->getIsPrivate() && !logged_user()->isMember())) {

	set_flash_error(lang('e_3'));
	redirect($project->getObjectURL('discussions'));

}

?>

<div class="box box-solid">

	<div class="box-header with-border"<?php echo ($discussion_object->getIsSticky() ? ' style="background-color:#FFECD9;"' : ''); ?>>
	  <div class="col-xs-10">
	  <i class="fa fa-commenting-o"></i>
	  <h3 class="box-title"><?php echo $discussion_object->getTitle(); echo ($discussion_object->getIsPrivate() ? ' <i class="fa fa-lock"></i>' : ''); ?></h3>
	  <p><small class="text-muted"><b><?php echo lang('c_188'); ?> </b> <u><?php echo $discussion_object->getCreatedByName(); ?></u> &mdash; <?php echo format_date($discussion_object->getCreatedAt()); ?></small></p>
	  </div>
      <?php if($discussion_object->isObjectOwner(logged_user()) || logged_user()->isOwner() 
		|| (logged_user()->isAdmin() && logged_user()->isProjectUser($project))) : ?>
	   <div class="col-xs-2">
		<div class="pull-right">
			<div class="btn-group">
				<button type="button" class="btn btn-default btn-xs dropdown-toggle" data-toggle="dropdown"><i class="fa fa-chevron-down"></i></button>
				<ul class="dropdown-menu pull-right" role="menu">
				<li><a href="javascript:void();" data-url="<?php echo get_page_base_url($discussion_object->getEditURL()); ?>" data-toggle="commonmodal"><?php echo lang('c_121'); ?></a></li>
				<li class="divider"></li>
				<li><a href="javascript:void();" data-url="<?php echo get_trash_action_url($discussion_object, 'move'); ?>" data-toggle="commonmodal"><?php echo lang('c_31'); ?></a></li>
				</ul>
			</div>
		</div>
	   </div>
	  <?php endif; ?>

	</div>
	
	<div class="box-body">
		<p><span class="more"><?php echo $discussion_object->getText(); ?></span></p>
	</div>
</div>

<?php if($discussion_object->isCommentable()) : ?>
<h4><?php echo sprintf(lang('c_266'), lang('c_264')); ?></h4>
<?php tpl_assign('parent_object', $discussion_object);
tpl_display('comments/_comment_box'); ?>
<?php endif;?>							
			
<?php else : ?>

<p><a href="javascript:void();" data-url="<?php echo get_page_base_url($project->getCreateDiscussionURL()); ?>" class="btn btn-sm btn-success" data-toggle="commonmodal" style="margin:3px;">+ <?php echo lang('c_120'); ?></a></p>
<div class="table-responsive">
<table class="table table-striped table-bordered">
<thead>
<th><?php echo lang('c_264'); ?></th>
<th><?php echo lang('c_265'); ?></th>
</thead>
<tbody>

<?php $include_private = logged_user()->isMember(); 
$project_discussions = $project->getDiscussions(false, $include_private);
if(isset($project_discussions) && is_array($project_discussions) && count($project_discussions)) : ?>
	
	<?php foreach($project_discussions as $project_discussion) : ?>
		
		<tr<?php echo ($project_discussion->getIsSticky() ? ' style="background-color:#FFECD9;"' : ''); ?>>

			<td><b><a href="<?php echo get_page_base_url($project_discussion->getObjectURL()); ?>"><?php echo $project_discussion->getTitle(); ?></a></b><?php echo ($project_discussion->getIsPrivate() ? ' <i class="fa fa-lock"></i>' : ''); ?>
			<p style="color:#888; font-size:11px;"><b><?php echo lang('c_188'); ?> </b> <u><?php echo $project_discussion->getCreatedByName(); ?></u> &mdash; <?php echo format_date($project_discussion->getCreatedAt()); ?></p>
			<p><span class="more"><?php echo $project_discussion->getText(); ?></span></p>
			</td>
			<td width="15%"><?php echo $project_discussion->getCommentsCount(); ?>
			
			<?php if($project_discussion->isObjectOwner(logged_user()) || logged_user()->isOwner() 
			|| (logged_user()->isAdmin() && logged_user()->isProjectUser($project))) : ?>

			<div class="pull-right">
				<div class="btn-group">
					<button type="button" class="btn btn-default btn-xs dropdown-toggle" data-toggle="dropdown"><i class="fa fa-chevron-down"></i></button>
					<ul class="dropdown-menu pull-right" role="menu">
					<li><a href="javascript:void();" data-url="<?php echo get_page_base_url($project_discussion->getEditURL()); ?>" data-toggle="commonmodal"><?php echo lang('c_121'); ?></a></li>
					<li class="divider"></li>
					<li><a href="javascript:void();" data-url="<?php echo get_trash_action_url($project_discussion, 'move'); ?>" data-toggle="commonmodal"><?php echo lang('c_31'); ?></a>
					</ul>
				</div>
			</div>
			
			<?php endif; ?>
													
			</td>

		</tr>

	<?php endforeach; ?>
	
<?php else :?>
	<tr><td colspan="2"><?php echo lang('e_2'); ?></td></tr>
<?php endif; ?>

</tbody></table></div>

<?php endif; ?>
