<?php defined('BASEPATH') OR exit('No direct script access allowed'); 

tpl_assign("title_for_layout", lang('c_302'));

tpl_assign("header_for_layout", '
<link href="'.get_page_base_url("public/assets/vendor/datatables-plugins/dataTables.bootstrap.css").'" rel="stylesheet">
<link href="'.base_url('public/assets/vendor/datetimepicker/jquery.datetimepicker.css').'" rel="stylesheet">
');	

tpl_assign("footer_for_layout", '
<script type="text/javascript" src="'.base_url('public/assets/vendor/datetimepicker/jquery.datetimepicker.js').'"></script>
<script src="'.get_page_base_url("public/assets/vendor/datatables/js/jquery.dataTables.min.js").'"></script>
<script src="'.get_page_base_url("public/assets/vendor/datatables-plugins/dataTables.bootstrap.min.js").'"></script>
<script>
$(document).ready(function() {
$(".timelogs").DataTable({
 "iDisplayLength": 10,
  "bLengthChange": true,
  "bFilter": true,
  "bInfo": false,
  "bSort": true,
  "order": [[ 0, "desc" ]],
  "language": {
        search: "_INPUT_",
        searchPlaceholder: "'.lang('c_25').'",
		"url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/'.get_site_language(true).'.json"

  }  
});
$(\'#projectOptions\').on(\'change\', function() {
	var location = "'.get_page_base_url('timesheet').'";
	var id = $(this).val();
	if (id != "") {
		location = location + "?project_id=" + id;
	}
	window.location.href = location;
	return false;
});
});
</script>
');	

?>

<?php if(!isset($is_project_panel)) : ?>

<p><div class="row">
	<div class="col-md-4 col-sm-6">
		<div class="form-group">
		<?php $projects_options = array(lang('c_344'));
		
		if(isset($projects) && is_array($projects) && count($projects)) :
			foreach($projects as $project_dp) :
				$projects_options[$project_dp->getId()] = $project_dp->getName();
			endforeach;
		endif;
		
		echo select_box("project_id", $projects_options, $project_id, ' id="projectOptions" class="form-control"');
		
		?>	
		</div>
	</div>
	<div class="col-md-8 col-sm-6 text-right">
		<?php if(logged_user()->isMember()) : ?>
		<p><a href="javascript:void();" data-url="<?php echo get_page_base_url('timesheet/create'.(isset($project) ? '/'.$project->getId() : '')); ?>" class="btn btn-success" data-toggle="commonmodal" style="margin:3px;">+ <?php echo lang('c_364'); ?></a></p>
		<?php endif; ?>
	</div>
</div>
</p>

<?php else : ?>
	<?php if(logged_user()->isMember()) : ?>
		<p><a href="javascript:void();" data-url="<?php echo get_page_base_url('timesheet/create'.(isset($project) ? '/'.$project->getId() : '')); ?>" class="btn btn-success" data-toggle="commonmodal" style="margin:3px;">+ <?php echo lang('c_364'); ?></a></p>
	<?php endif; ?>
<?php endif; ?>

<div class="row">
<div class="col-xs-12">
<div class="box box-solid">

	<?php if(!isset($is_project_panel)) : ?>
	<div class="box-header with-border">
	  <i class="fa fa-calendar-check-o"></i>
	  <h3 class="box-title"><?php echo lang('c_302'); ?></h3>
	</div>
	<?php endif; ?>
	
	<div class="box-body table-responsive<?php echo (isset($is_project_panel) ? ' no-padding' : ''); ?>">
	
	<?php if(isset($timelogs) && is_array($timelogs) && count($timelogs)) : ?>
	
		<table class="table table-bordered table-striped timelogs">

		<thead>
			<th width="7%"><?php echo lang('c_365'); ?></th>
			<th><?php echo lang('c_28'); ?></th>
			<th><?php echo lang('c_366'); ?></th>
			<th width="20%"><?php echo lang('c_367'); ?></th>
			<th><?php echo lang('c_205'); ?></th>
			<th><?php echo lang('c_204'); ?></th>
			<?php if(logged_user()->isMember()) : ?>
			<th></th>
			<?php endif; ?>
		</thead><tbody>

		<?php foreach($timelogs as $timelog) : 
			$member = $timelog->getMember(); ?>			

			<tr>
				<td><?php echo $timelog->getId(); ?></td>
				<td><ul class="users-list clearfix">
				<li style="width:100%;">
				  <img src="<?php echo $member->getAvatar(); ?>" class="img-circle-md" alt="<?php echo $member->getName(); ?>">
				  <small class="users-list-name"><?php echo $member->getName(); ?></small>
				</li>
				</ul>
				</td>
				<td><h4 style="margin:0;"><?php echo round(($timelog->getEndTime()-$timelog->getStartTime())/3600, 2); ?> <?php echo lang('c_313'); ?> &mdash; <?php echo ($timelog->getIsApproved() ? '<small style="color:green;">'.lang('c_362').'</small>' : '<small style="color:red">'.lang('c_363').'</small>'); ?></h4>
				<p><small><b><?php echo lang('c_368'); ?>: </b><?php echo format_date($timelog->getStartTime(), "m-d-Y H:i"); ?><br>
				<b><?php echo lang('c_369'); ?>:</b> <?php echo format_date($timelog->getEndTime(), "m-d-Y H:i"); ?></small></p></td>
				<td><?php $timlog_project = $timelog->getProject(); ?>
				<p><a href="<?php echo base_url($timlog_project->getObjectURL()); ?>"><?php echo $timlog_project->getName(); ?></a></p>
				<?php echo $timelog->getMemo(); ?></td>
				<td><?php echo format_date($timelog->getCreatedAt(), "m-d-Y"); ?></td>
				<td><?php echo $timelog->getCreatedBy()->getName(); ?></td>
			
				<?php if(logged_user()->isMember()) : ?>
				<td>

					<?php if(logged_user()->isOwner() || logged_user()->isAdmin()) : ?>
					
					<div class="pull-right">
						<div class="btn-group">
							<button type="button" class="btn btn-default btn-xs dropdown-toggle" data-toggle="dropdown"><i class="fa fa-chevron-down"></i></button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li><a href="javascript:void();" data-url="<?php echo get_page_base_url($timelog->getEditURL()); ?>" data-toggle="commonmodal"><?php echo lang('c_359'); ?></a></li>
								<li class="divider"></li>
								<li><a href="javascript:void();" data-url="<?php echo get_trash_action_url($timelog, 'move'); ?>" data-toggle="commonmodal"><?php echo lang('c_31'); ?></a></li>
							</ul>
						</div>
					</div>
					
					<?php else : ?>
						<a href="javascript:void();" data-url="<?php echo get_trash_action_url($timelog, 'move'); ?>" data-toggle="commonmodal" class="btn btn-xs btn-danger"><?php echo lang('c_31'); ?></a>
					<?php endif; ?>

				</td>
											
				<?php endif; ?>


			</tr>

		<?php endforeach; ?>
		
		</tbody></table>
	
	<?php else : ?>
	<?php echo lang('e_2'); ?>
	<?php endif; ?>

</div></div>
</div></div>